[Git][NTPsec/ntpsec][master] Bail cleanly if there is no python3
Hal Murray
gitlab at mg.gitlab.com
Fri Mar 23 00:33:16 UTC 2018
Hal Murray pushed to branch master at NTPsec / ntpsec
Commits:
f927578b by Hal Murray at 2018-03-23T00:02:17Z
Bail cleanly if there is no python3
- - - - -
1 changed file:
- tests/python3-tester.sh
Changes:
=====================================
tests/python3-tester.sh
=====================================
--- a/tests/python3-tester.sh
+++ b/tests/python3-tester.sh
@@ -5,11 +5,10 @@
# This is a clone of option-tester.sh
# to build with python3 and do minimal (version) testing.
-LINUX=""
-if [ `uname -s` = "Linux" -a -f /usr/include/seccomp.h ]
+if [ "`which python3 2>/dev/null`" = "" ]
then
- # Not supported on CentOS 6
- LINUX="--enable-seccomp"
+ echo "# Error: No python3 on this system."
+ exit 1
fi
doit ()
View it on GitLab: https://gitlab.com/NTPsec/ntpsec/commit/f927578b0efcf8676a9bf190b0692514123b19b2
---
View it on GitLab: https://gitlab.com/NTPsec/ntpsec/commit/f927578b0efcf8676a9bf190b0692514123b19b2
You're receiving this email because of your account on gitlab.com.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.ntpsec.org/pipermail/vc/attachments/20180323/24a79b37/attachment.html>
More information about the vc
mailing list